#include <iostream>
#include <stdlib.h>

using namespace std;

int main()
{
    int n;
    cin >> n;
    int x[n];
    int y[n];
    for(int i = 0; i < n; i++){
        cin >> x[i];
        cin >> y[i];
    }
    
    for(int i = 0; i < n; i++){
        for(int j = 1; j < n - i; j++){
            int broj;
            if(x[j-1] > x[j]){
                broj = x[j-1];
                x[j-1] = x[j];
                x[j] = broj;
            }
            if(y[j-1] > y[j]){
                broj = y[j-1];
                y[j-1] = y[j];
                y[j] = broj;
            }
        }
    }
    
    int potezi = 0;
    for (int i = 0; i < n; i++){
        potezi += abs(i + 1 - x[i]) + abs(i + 1 - y[i]); 
    }
    
    cout << potezi;
}